package com.ym.mec.oa.entity;

import java.util.List;

public class OAUser {
    private Integer mecUserId;

    private String nickName;

    private String userName;

    private String phone;

    private String avatar;

    private String sex;

    private Integer deptId;

    private List<Integer> deptIds;

    private List<Integer> postIds;

    private List<PostDept> postDeptIds;

    public List<PostDept> getPostDeptIds() {
        return postDeptIds;
    }

    public void setPostDeptIds(List<PostDept> postDeptIds) {
        this.postDeptIds = postDeptIds;
    }

    public Integer getMecUserId() {
        return mecUserId;
    }

    public void setMecUserId(Integer mecUserId) {
        this.mecUserId = mecUserId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public List<Integer> getDeptIds() {
        return deptIds;
    }

    public void setDeptIds(List<Integer> deptIds) {
        this.deptIds = deptIds;
    }

    public List<Integer> getPostIds() {
        return postIds;
    }

    public void setPostIds(List<Integer> postIds) {
        this.postIds = postIds;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Integer getDeptId() {
        return deptId;
    }

    public void setDeptId(Integer deptId) {
        this.deptId = deptId;
    }
}
